ArNetworking: ArServerHandlerPopup Class Reference

- Main Page
- Classes
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArServerHandlerPopup Class Reference

`#include <ArServerHandlerPopup.h>`

List of all members.

## Detailed Description

Class for having generic popups appear in MobileEyes (created on the server).

TODO make the callbacks actually happen

## Public Types
enum | PopupType { NOICON = 0, INFORMATION = 1, WARNING = 2, CRITICAL = 3, QUESTION = 4 }
## Public Member Functions
| ArServerHandlerPopup (ArServerBase *server)
| Constructor.
void | closePopup (ArTypes::Byte4 id, const char *closeMessage)
| Cancels a popup with the ID.
ArTypes::Byte4 | createPopup (ArServerHandlerPopupInfo *popupInfo, ArFunctor2< ArTypes::Byte4, int > *callback=NULL)
| Creates a new popup.
void | netPopupClicked (ArServerClient *client, ArNetPacket *packet)
| The call from the network that the popup was clicked.
void | netPopupList (ArServerClient *client, ArNetPacket *packet)
| The call from the network for getting the popup list.
void | serverCycleCallback (void)
| Our cycle callback.
virtual | ~ArServerHandlerPopup ()
| Destructor.
## Protected Member Functions
void | buildPacket (ArNetPacket *sendingPacket, PopupData *popupData)
## Protected Attributes
ArMutex | myDataMutex
ArTypes::Byte4 | myLastID
ArTime | myLastTimeCheck
std::map< ArTypes::Byte4, PopupData * > | myMap
ArFunctor2C< ArServerHandlerPopup, ArServerClient *, ArNetPacket * > | myNetPopupClickedCB
ArFunctor2C< ArServerHandlerPopup, ArServerClient *, ArNetPacket * > | myNetPopupListCB
ArServerBase * | myServer
ArFunctorC< ArServerHandlerPopup > | myServerCycleCB

## Member Enumeration Documentation

enum ArServerHandlerPopup::PopupType

Enumerator:

  NOICON | No icon at all.
  INFORMATION | Just an informational message.
  WARNING | A warning.
  CRITICAL | A critical problem (program failure likely).
  QUESTION | A question.

The documentation for this class was generated from the following file:

- ArServerHandlerPopup.h